OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
OMToolkit::TriCenter Class Reference

`#include <OMTriBSPTreeTriangle.h>`

## Public Types
typedef OMToolkit::Types::ModuleMeshd | MeshT
typedef MeshT::Point | PointT
typedef MeshT::FaceHandle | FaceHT
typedef MeshT::Scalar | ScalarT

## Public Member Functions
| TriCenter ()
| TriCenter (PointT &center, FaceHT face, PointT &aabbLow, PointT &aabbHigh, Types::ModuleMeshd *mesh)
bool | intersects (OMRay &ray, ScalarT &distance)

## Public Attributes
PointT | m_center
FaceHT | m_face
PointT | m_aabb [2]
PointT | m_points [3]
MeshT::Normal | m_edge1
MeshT::Normal | m_edge2

## Member Typedef Documentation

typedef MeshT::FaceHandle OMToolkit::TriCenter::FaceHT

Face handle Type

typedef OMToolkit::Types::ModuleMeshd OMToolkit::TriCenter::MeshT

Mesh Type

typedef MeshT::Point OMToolkit::TriCenter::PointT

Point Type

typedef MeshT::Scalar OMToolkit::TriCenter::ScalarT

Scalar type

## Constructor & Destructor Documentation

OMToolkit::TriCenter::TriCenter | ( |  | ) |

Void constructor

OMToolkit::TriCenter::TriCenter | ( | PointT & | center,
|  | FaceHT | face,
|  | PointT & | aabbLow,
|  | PointT & | aabbHigh,
|  | Types::ModuleMeshd * | mesh
| ) |  |

Constructor - initializes a structure

Parameters

  center | - center of triangle
  face | - Face handle in OM structure
  aabbLow | - Lower values of triangle's AABB
  aabbHigh | - Higher values of triangle's AABB
  mesh | - pointer to mesh

## Member Function Documentation

bool OMToolkit::TriCenter::intersects | ( | OMRay & | ray,
|  | ScalarT & | distance
| ) |  |

Tests intersection between ray and face (triangle)

Parameters

  origin | Ray origin - intersection is computed also in inverse direction
  vector | Ray direction
  face | Face handle
  distance | Computed parameter of intersection

Returns
  True if face is hit

## Member Data Documentation

PointT OMToolkit::TriCenter::m_aabb[2]

Triangle's AABB

PointT OMToolkit::TriCenter::m_center

Center of triangle

MeshT::Normal OMToolkit::TriCenter::m_edge1

Edges of triangle

MeshT::Normal OMToolkit::TriCenter::m_edge2

FaceHT OMToolkit::TriCenter::m_face

Face handle in OM structure

PointT OMToolkit::TriCenter::m_points[3]

Points of triangle

The documentation for this class was generated from the following files:

- trunk/include/OMToolkit/OMTriBSPTreeTriangle.h
- trunk/src/toolkit/Toolkit/OMTriBSPTreeTriangle.cpp